Mantis Bugtracker          
testlink.org

View Issue Details Jump to Notes ] Issue History ] Print ]
IDProjectCategoryView StatusDate SubmittedLast Update
0007843TestLinkExport/Importpublic2017-02-03 12:262018-04-15 10:36
Reporterjgiret 
Assigned Tofman 
PrioritynormalSeverityblockReproducibilityalways
StatusclosedResolutionfixed 
PlatformLinuxOSDebian OS Version8
Product Version1.9.16 (2016 Q4) 
Fixed in Version1.9.17 (2018 Q1) 
Summary0007843: Unable to export Matrix Results in excel format with PHP7
DescriptionHello,

We have been unable to export result matrix in Excel format. In the log file, we have the following error:

017/02/03 13:13:00 [error] 5414#5414: *1886 FastCGI sent in stderr: "PHP message: PHP Fatal error: 'break' not in the 'loop' or 'switch' context in /var/www/testlink/third_party/codeplex/PHPExcel/Calculation/Functions.php on line 570" while reading response header from upstream, client: 10.20.31.14, server: testlink.***.pro, request: "POST /lib/results/resultsTC.php?format=3&do_action=result&tplan_id=194&tproject_id=1&buildListForExcel= HTTP/1.1", upstream: "fastcgi://unix:/run/php/php7.0-fpm.sock:" [^]

We have been able to mitigate that issue by removing a break instruction in:
/var/www/testlink/third_party/codeplex/PHPExcel/Calculation/Functions.php

Best regards,


TagsNo tags attached.
Database (MySQL,Postgres,etc)MySQL
Browser
PHP Version7.0
TestCaseID
QA Team - Task Workflow StatusREADY FOR TESTING
Attached Files

- Relationships
child of 0007817closedfman Availables hot-fixes for 1.9.16 & How To get full fixed package from GitHub 

-  Notes
(0025963)
fman (administrator)
2017-02-03 19:15

Thanks
https://github.com/TestLinkOpenSourceTRMS/testlink-code/commit/9d3a4f0b504abc36903a125aaad706391419cdea [^]
(0027352)
fman (administrator)
2018-04-15 10:36

released

- Issue History
Date Modified Username Field Change
2017-02-03 12:26 jgiret New Issue
2017-02-03 19:15 fman Note Added: 0025963
2017-02-03 19:15 fman QA Team - Task Workflow Status => TBD
2017-02-03 19:15 fman Fixed in Version => 1.9.17 (2018 Q1)
2017-02-03 19:15 fman QA Team - Task Workflow Status TBD => READY FOR TESTING
2017-02-03 19:15 fman Status new => resolved
2017-02-03 19:15 fman Resolution open => fixed
2017-02-03 19:15 fman Assigned To => fman
2017-02-03 19:15 fman Relationship added child of 0007817
2018-04-15 10:36 fman Note Added: 0027352
2018-04-15 10:36 fman Status resolved => closed



Copyright © 2000 - 2018 MantisBT Team
Powered by Mantis Bugtracker